Data Structures | Defines | Typedefs

# usb-private.h File Reference

`#include "dmxinputinit.h"`
`#include "inputstr.h"`
`#include <X11/Xos.h>`
`#include <errno.h>`
`#include <linux/input.h>`
`#include "usb-common.h"`

Go to the source code of this file.

## Data Structures
struct | _myPrivate
## Defines
#define | EV_MSC 0x04
#define | EV_FF 0x15
#define | LED_SLEEP 0x05
#define | LED_SUSPEND 0x06
#define | LED_MUTE 0x07
#define | LED_MISC 0x08
#define | BTN_DEAD 0x12f
#define | BTN_THUMBL 0x13d
#define | BTN_THUMBR 0x13e
#define | MSC_SERIAL 0x00
#define | MSC_MAX 0x07
#define | ABS_WHEEL 0x08
#define | ABS_GAS 0x09
#define | ABS_BRAKE 0x0a
#define | NUM_STATE_ENTRIES (256/32)
## Typedefs
typedef struct _myPrivate | myPrivate

## Detailed Description

Private header file for USB support. This file provides Linux-specific include files and the definition of the private structure.

See also:
  usb-common.c
  usb-keyboard.c
  usb-mouse.c
  usb-other.c

## Define Documentation

#define ABS_BRAKE 0x0a

Referenced by usbPrint().

#define ABS_GAS 0x09

Referenced by usbPrint().

#define ABS_WHEEL 0x08

Referenced by usbPrint().

#define BTN_DEAD 0x12f

#define BTN_THUMBL 0x13d

#define BTN_THUMBR 0x13e

#define EV_FF 0x15

Referenced by usbPrint().

#define EV_MSC 0x04

Referenced by usbPrint().

#define LED_MISC 0x08

Referenced by usbPrint().

#define LED_MUTE 0x07

Referenced by usbPrint().

#define LED_SLEEP 0x05

Referenced by usbPrint().

#define LED_SUSPEND 0x06

Referenced by usbPrint().

#define MSC_MAX 0x07

#define MSC_SERIAL 0x00

#define NUM_STATE_ENTRIES (256/32)

## Typedef Documentation

typedef struct _myPrivate myPrivate